.showcase {

  &__wrapper {
    position: relative;
    min-height: 100vh;

    @include media-breakpoint-down(xl) {
      min-height: 0;
    }

    .slick-list,
    .slick-track {
      min-height: 100vh;

      @include media-breakpoint-down(xl) {
        min-height: 0;
      }
    }

    .slick-track {

      @include media-breakpoint-down(xl) {
        display: flex;
      }
    }
  }

  &__item {
    position: absolute !important;
    z-index: 998 !important;
    top: 0 !important;
    left: 0 !important;
    overflow: hidden;
    width: 100%;
    height: 100%;
    opacity: 1 !important;
    transition: transform 1s cubic-bezier(.25, .1, .25, 1);

    @include media-breakpoint-down(xl) {
      position: relative !important;
    }

    &:before {
      position: absolute;
      top: 0;
      left: 0;
      display: block;
      width: 100%;
      height: 100%;
      content: '';
    }

    &--pink {

      &:before {
        background: #f39b96;
      }
    }

    &--orange {

      &:before {
        background: #f9bd52;
      }
    }

    &--blue {

      &:before {
        background: #ddd1fc;
      }
    }

    &--red {

      &:before {
        background: #ff7684;
      }
    }

    &--sprout {

      &:before {
        background: #a8ce99;
      }
    }

    &--peach {

      &:before {
        background: #f88c64;
      }
    }

    &--purple {

      &:before {
        background: #da8ea1;
      }
    }

    &--green {

      &:before {
        background: #71bf9b;
      }
    }

    &--light {

      &:before {
        background: #ffe9a5;
      }
    }

    &--dark {

      &:before {
        background: #bacbc0;
      }
    }

    &--sky {

      &:before {
        background: #ade1dd;
      }
    }

    &.slick-active {
      z-index: 999 !important;
    }

    &--prev {
      z-index: 1000 !important;
      transform-origin: left center;
      animation: showPrev 1s linear forwards;

      .showcase__item-container {
        animation: showPrevContainer 1s linear forwards;
      }

      .showcase__item-picture {
        animation: showPrevPicture 1s linear forwards;
      }

      & + .showcase__item {

        .showcase__item-picture {
          animation: showNextPicture 1s linear forwards;
        }
      }
    }

    @keyframes showPrev {

      to {
        overflow: hidden;
        width: 0;
      }
    }

    @keyframes showPrevPicture {

      from {
        transform: translateX(0);
      }

      to {
        transform: translateX(-100px);
      }
    }

    &--next {
      z-index: 1000 !important;
      transform-origin: right center;
      animation: showNext 1s linear forwards;

      .showcase__item-container {
        animation: showNextContainer 1s linear forwards;
      }
    }

    &--old {

      .showcase__item-picture {
        animation: showOldPicture 1s linear forwards;
      }

      & + .showcase__item {

        .showcase__item-picture {
          animation: showOldPicturePrev 1s linear forwards;
        }
      }
    }

    @keyframes showNext {

      to {
        overflow: hidden;
        transform: translateX(100%);
      }
    }

    @keyframes showNextContainer {

      to {
        transform: translateX(-100%);
      }
    }

    @keyframes showNextPicture {

      from {
        transform: translateX(100px);
      }

      to {
        transform: translateX(0);
      }
    }

    @keyframes showOldPicture {

      from {
        transform: translateX(-100px);
      }

      to {
        transform: translateX(0);
      }
    }

    @keyframes showOldPicturePrev {

      from {
        transform: translateX(0);
      }

      to {
        transform: translateX(100px);
      }
    }
  }

  &__item-container {
    position: relative;
    z-index: 1;
  }

  &__item-wrapper {
    display: flex;
    min-height: 100vh;
    justify-content: center;
    align-items: center;

    @include media-breakpoint-down(xl) {
      padding-top: 80px;
      padding-bottom: 120px;
      min-height: 0;
      flex-direction: column;
      align-items: center;
      text-align: center;
    }

    @include media-breakpoint-down(md) {
      padding-top: 64px;
      padding-bottom: 108px;
    }
  }

  &__item-picture {
    position: relative;
    margin-right: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: all 1s ease-in-out;

    @include media-breakpoint-down(xxl) {
      margin-right: 40px;
    }

    @media (max-width: 1350px) {
      max-width: 320px;
      max-height: 320px;
    }

    @include media-breakpoint-down(xl) {
      margin-right: 0;
      margin-bottom: 69px;
      max-width: 450px;
      max-height: 450px;
    }

    @include media-breakpoint-down(md) {
      margin-bottom: 40px;
    }

    &:after {
      position: absolute;
      top: 0;
      left: 0;
      display: block;
      width: 100%;
      height: 100%;
      content: '';
      background: rgba($black, .3);
      filter: blur(40px);
    }

    &--round {

      &:after {
        top: 20%;
        left: 15%;
        width: 87%;
        height: 87%;
        background: rgba($black, .25);
        border-radius: 50%;
      }
    }

    &--rectangle {

      &:after {
        top: 10%;
        left: 50%;
        width: 100%;
        height: 100%;
        background: rgba($black, .25);
        transform: translateX(-50%);
      }
    }
  }

  &__item-picture-img {
    position: relative;
    z-index: 1;
    max-width: 640px;
    max-height: 640px;

    @include media-breakpoint-down(xxl) {
      max-width: 440px;
      max-height: 440px;
    }

    @media (max-width: 1350px) {
      max-width: 320px;
      max-height: 320px;
    }

    @include media-breakpoint-down(xl) {
      max-width: 450px;
      max-height: 450px;
    }

    @include media-breakpoint-down(md) {
      max-width: 285px;
      max-height: 285px;
    }
  }

  &__item-content {
    max-width: 540px;

    @include media-breakpoint-down(xxl) {
      max-width: 510px;
    }

    @media (max-width: 1399px) {
      max-width: 420px;
    }

    @include media-breakpoint-down(xl) {
      max-width: 100%;
    }
  }

  &__title {

    @media (max-width: 1350px) {
      font-size: 75px;
    }

    @include media-breakpoint-down(xl) {
      font-size: 150px;
    }

    @include media-breakpoint-down(md) {
      font-size: 75px;
    }
  }

  &__dscr {

    @media (max-width: 1350px) {
      font-size: 16px;
      line-height: 1.56;
    }

    @include media-breakpoint-down(xl) {
      font-size: 18px;
      line-height: 1.66;
    }

    @include media-breakpoint-down(md) {
      font-size: 16px;
      line-height: 1.56;
    }
  }

  .slick-dots {
    position: absolute;
    bottom: 60px;

    @media (max-width: 1350px) {
      bottom: 30px;
    }

    @include media-breakpoint-down(xl) {
      bottom: 60px;
    }
  }

  .slick-arrow {
    position: absolute;
    z-index: 1;
    top: 50%;
    right: 95px;
    width: 48px;
    height: 48px;
    opacity: 1;
    font-size: 0;
    background: url(../img/arrow.svg) no-repeat center;
    background-size: contain;
    transform: translateY(-50%);

    @include transition;

    @include media-breakpoint-down(xl) {
      display: none !important;
    }

    &:hover {
      opacity: .7;
    }

    &.slick-prev {
      left: 95px;
      background: url(../img/arrow-back.svg) no-repeat center;
      background-size: contain;
    }

    &.slick-next {
    }

    &.slick-disabled {
      opacity: 0 !important;
    }

    &__title {
      margin-top: 48px;
      display: flex;
      flex-direction: column;
      font-family: $font-family-serif;
      font-size: 48px;
      line-height: .73;
      color: $black;

      @include media-breakpoint-down(xxl) {
        font-size: 32px;
        line-height: .78;
      }

      &--prev {
        align-items: flex-start;
        text-align: left;
      }

      &--next {
        align-items: flex-end;
        text-align: right;
      }
    }
  }
}
